
Tripnet - Bug #44098
Customer code
07/25/2018 09:51 am - Albin Paul

Status: Closed Start date: 08/09/2018
Priority: Normal Due date: 08/13/2018
Assignee: Akhil (TSP) S % Done: 100%
Category: Functionality Estimated time: 0.00 hour
Target version: Spent time: 13.65 hours
End_Date: 08/13/2018 Areas Affected:
remarks: Files Changed:
DB Changes: Initial Planned Hours: 0
Keys & Permissions:
Description

Bring customer code field in sales report for all properties and all transaction statuses.As of now its only sowing for hotel.

The value must be taken from 'customer number' option from users in admin management->Users.

otherwise only For hotel The customer code entered in Hotel search must be displayed in hotel sales report.

Each user have its own customer number.And the one which are not having must show as blank in sales report.

History
#1 - 08/08/2018 01:14 pm - Vipin das
- Due date set to 08/09/2018
- Status changed from New to Assigned
- Assignee set to Akhil (TSP) S
- Start date changed from 07/25/2018 to 08/09/2018

#2 - 08/09/2018 07:43 am - Akhil (TSP) S
- Status changed from Assigned to In Progress

#3 - 08/09/2018 04:15 pm - Akhil (TSP) S
- Status changed from In Progress to On hold
- % Done changed from 0 to 40

    -  Flight Section Finished.
    -  Rail Section Finished.
    -  Due To live("45010") Release support for sales report and  Dual entry task changed to on hold.

#4 - 08/09/2018 05:51 pm - Akhil (TSP) S

    -  Due To live("45010"),Release support for sales report and Dual entry task
 this task status changed to on hold.

#5 - 08/10/2018 01:33 pm - Akhil (TSP) S
- Status changed from On hold to In Progress
    -  support For Live release finished so status changed to in progress (45010)

#6 - 08/10/2018 01:34 pm - Vipin das
- Due date changed from 08/09/2018 to 08/13/2018

#7 - 08/10/2018 04:02 pm - Akhil (TSP) S
- % Done changed from 40 to 60

    -  sports completed.

#8 - 08/13/2018 05:50 pm - Akhil (TSP) S
- Status changed from In Progress to Fixed not Tested
- % Done changed from 60 to 100
- End_Date set to 08/13/2018

    -  updated sp's
Usp_UpdateAddActivitySalesReportData.

   Usp_UpdateAddSalesReportData.
   Usp_UpdateAddSalesReportData_Train.
   Usp_UpdateAddSportsSalesReportData.
   Usp_UpdateAddSalesReportData_Transfers.

Usp_GetSalesReport_Activities.
   Usp_GetSalesReport_Flight.
   Usp_GetSalesReport_Rail.
   Usp_GetSalesReport_Sports
   Usp_GetSalesReport_Transfers

SaveOfflineFlightSalesReport
   spSaveOfflineTransfersSalesReport

#9 - 08/14/2018 08:21 am - Akhil (TSP) S

    -  1.50 Hrs Onam Committee Meeting Hours (Mistakenly Updated in This Bug).

#10 - 04/09/2019 01:03 pm - Albin Paul
- Status changed from Fixed not Tested to Closed
- Initial Planned Hours set to 0

Fixed.

Files
Screenshot from 2018-07-25 12-19-46.png 241 KB 07/25/2018 Albin Paul
Screenshot from 2018-07-25 12-20-31.png 278 KB 07/25/2018 Albin Paul

05/04/2025 2/2


